APICenter
DocsBuildLearn
APIs & SDKs/APICenter REST API/Get Payment Capabilities

Get Payment Capabilities

GEThttps://api.apicenter.itsandbox.site/api/v1/payments/capabilities

Perform Get Payment Capabilities operation on APICenter platform.

TShttps://api.apicenter.itsandbox.site/api/v1/payments/capabilities
const paymentApiKey = process.env.APICENTER_PAYMENT_API_KEY;
if (!paymentApiKey) throw new Error("APICENTER_PAYMENT_API_KEY is required");

const response = await fetch("https://api.apicenter.itsandbox.site/api/v1/payments/capabilities", {
  method: "GET",
  headers: {
    Authorization: "Bearer " + paymentApiKey
  }
});
if (!response.ok) throw new Error("APICenter request failed: " + response.status);
const data = await response.json();
console.log(data);
Response
No response example is supplied by this contract. See the documented response schema.

Authentication

AuthorizationAPICenterApiKey

Authorization: Bearer <PAYMENT_API_KEY>. Use the consumer's payment API key. or Registered APICenter service JWT with gateway-enforced scopes.

Response

200Payment capabilities
successbooleanRequired
dataobjectRequired

Errors

TShttps://api.apicenter.itsandbox.site/api/v1/payments/capabilities
const paymentApiKey = process.env.APICENTER_PAYMENT_API_KEY;
if (!paymentApiKey) throw new Error("APICENTER_PAYMENT_API_KEY is required");

const response = await fetch("https://api.apicenter.itsandbox.site/api/v1/payments/capabilities", {
  method: "GET",
  headers: {
    Authorization: "Bearer " + paymentApiKey
  }
});
if (!response.ok) throw new Error("APICenter request failed: " + response.status);
const data = await response.json();
console.log(data);
Response
No response example is supplied by this contract. See the documented response schema.